#ifndef TUNNELS_GAME_STATE_HPP
#define TUNNELS_GAME_STATE_HPP

#include "character_data.hpp"
#include "utils/game_state.hpp"
#include "weapon_data.hpp"
#include <godot_cpp/templates/vector.hpp>

namespace godot {
class TunnelsGameState : public GameState {
    GDCLASS(TunnelsGameState, GameState);
    static void _bind_methods();
public:
    void set_weapons(Array weapons);
    Array get_weapons() const;
    void set_characters(Array characters);
    Array get_characters() const;
private:
    Vector<Ref<WeaponData>> weapons{};
    Vector<Ref<CharacterData>> characters{};
};
}

#endif // !TUNNELS_GAME_STATE_HPP
